<script>
    import Button from "../components/Button.svelte";
    import Input from "../components/Input.svelte";
    import FormName from "../components/FormName.svelte";
    import { userbaseStore, userStore } from '../stores'
    import { onMount } from 'svelte';
    let currentPassword, newPassword, username, email

    onMount(() => {
        username = $userStore.username
        email = $userStore.email
    
    });
    function changePassword(e){
        $userbaseStore.updateUser({ username, currentPassword, newPassword, profile: { example: 'value' } })
        .then(() => {
            alert('Success Change Pass')
        }).catch((e) => console.error(e))
    }

</script>
<section class="text-gray-600 body-font">
    <div class="container px-5 py-24 mx-auto flex flex-wrap items-center">
      <div class="lg:w-3/5 md:w-1/2 md:pr-16 lg:pr-0 pr-0">
        <h1 class="title-font font-medium text-3xl text-gray-900">Slow-carb next level shoindcgoitch ethical authentic, poko scenester</h1>
        <p class="leading-relaxed mt-4">Poke slow-carb mixtape knausgaard, typewriter street art gentrify hammock starladder roathse. Craies vegan tousled etsy austin.</p>
      </div>
      <form on:submit|preventDefault={changePassword} class="lg:w-2/6 md:w-1/2 bg-gray-100 rounded-lg p-8 flex flex-col md:ml-auto w-full mt-10 md:mt-0">
        
        <FormName formName="Update Password"></FormName>
                
        <Input label="currentPassword" bind:value={currentPassword} type="password" required/>
        <Input label="newPassword" bind:value={newPassword} type="password" required/>
        <Button>Update</Button>

        <p class="text-xs text-gray-500 mt-3">Literally you probably haven't heard of them jean shorts.</p>
        </form>
    </div>
  </section>